﻿.container {
    --login-max-width: 540px;
    --login-padding-x: 1.5rem;
    --login-padding-y: .75rem;
    --bs-border-radius: 23px;
    max-width: var(--login-max-width);
    margin: 0 auto;
}

::deep h4 {
    margin-bottom: 1.5rem;
}

::deep .form-control {
    --bb-form-control-padding: var(--login-padding-y) var(--login-padding-x);
    font-size: .875rem;
    margin-bottom: 1rem;
}

::deep .btn {
    --bs-btn-padding-x: var(--login-padding-x);
    --bs-btn-padding-y: var(--login-padding-y);
    width: 100%;
    margin-bottom: 1rem;
}

    ::deep .btn:first-of-type {
        margin-bottom: 0;
    }

::deep .form-check {
    padding: var(--login-padding-y) var(--login-padding-x);
    margin-bottom: 1rem;
}

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }

/*.tabs, .tabs-body-content {
    height: 100%
}*/

.page-list {
    height: calc(100vh - 1rem - var(--bb-layout-footer-height) - var(--bb-layout-header-height) - var(--bb-tabs-item-height, 0));
    display: flex;
    flex-direction: column;
}

.img-row-desc {
    margin-top: .25rem;
    font-size: 86%;
    color: #c0c4cc;
}

::deep .table-list {
    flex: 1;
    height: 1%;
    min-height: 0;
}

::deep .table-cell img {
    width: 46px;
    border-radius: var(--bs-border-radius);
}

::deep .table-cell .progress {
    height: 6px;
    margin-top: .5rem;
}

.tabs-body {
    padding: 0.5rem !important;
}
